%define version 1.3.1
Name:		devfsd
Summary:	devfs daemon for device name compatibility
Version:	%{version}
Release:	0
Copyright:	GPL, Copyright Richard Gooch (rgooch@atnf.csiro.au)
Packager:	William Stearns <wstearns@pobox.com>
Group:		System Environment/Daemons
Source:		ftp://ftp.atnf.csiro.au/pub/people/rgooch/linux/daemons/devfsd-v%{version}.tar.gz
Source1:	devfsd.init
URL:		http://www.atnf.csiro.au/~rgooch/linux/
BuildRoot:	/tmp/devfsd-broot

%description
The devfsd programme is a daemon, run by the system boot
scripts which can provide for intelligent management of
device entries in the Device Filesystem (devfs).

%changelog
* Sat Feb 19 2000 William Stearns <wstearns@pobox.com>
- First spec file.  Includes buildroot support, Changelog, and init script.

%prep
%setup -n devfsd

%build
make

%install
if [ "$RPM_BUILD_ROOT" = "/tmp/devfsd-broot" ]; then
    rm -rf $RPM_BUILD_ROOT

    install -d $RPM_BUILD_ROOT/etc
    install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
    install -d $RPM_BUILD_ROOT/sbin
    install -d $RPM_BUILD_ROOT/usr/man/man8
    make BINDIR=$RPM_BUILD_ROOT/sbin CONFIG_FILE=$RPM_BUILD_ROOT/etc/devfsd.conf install
	cp -p devfsd.8 $RPM_BUILD_ROOT/usr/man/man8
	cp -p $RPM_SOURCE_DIR/devfsd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/devfsd
else
    echo Invalid Build root
    exit 1
fi
						
%clean
if [ "$RPM_BUILD_ROOT" = "/tmp/devfsd-broot" ]; then
    rm -rf $RPM_BUILD_ROOT
else
    echo Invalid Build root
    exit 1
fi

%files
%attr(644,root,root)	/etc/devfsd.conf
%attr(755,root,root)	/etc/rc.d/init.d/devfsd
%attr(755,root,root)	/sbin/devfsd
%attr(644,root,root)	/usr/man/man8/devfsd.8



